<div class="tmdb-box-settings-row">

    <div class="tmdb-box-settings-col-1">
        <span class="tmdb-settings-label"><?php esc_html_e( 'Schedule Settings', Auto_Movie::DOMAIN ); ?></span>
        <span class="tmdb-description"><?php esc_html_e( 'Run this campaign as the WP Cron Job Schedule.', Auto_Movie::DOMAIN ); ?></span>
    </div>

    <div class="tmdb-box-settings-col-2">

        <label class="tmdb-settings-label"><?php esc_html_e( 'Schedule Settings', Auto_Movie::DOMAIN ); ?></label>

        <span class="tmdb-description"><?php esc_html_e( 'Select Campaign Schedule use the WP Cron Job Schedule on backend.', Auto_Movie::DOMAIN ); ?></span>

        <div class="range-slider">
            <input class="range-slider__range" type="range" value="<?php if(isset($settings['update_frequency'])){echo $settings['update_frequency'];}else{echo esc_html('100');}?>" min="0" max="500">
            <span class="range-slider__value">0</span>
        </div>

        <span class="tmdb-description"><?php esc_html_e( 'Time Unit', Auto_Movie::DOMAIN ); ?></span>

        <div class="select-container">
            <span class="dropdown-handle" aria-hidden="true">
                <ion-icon name="chevron-down" class="tmdb-icon-down"></ion-icon>
            </span>
            <div class="select-list-container">
                <button type="button" class="list-value" id="tmdb-field-unit-button" value="Minutes">
                    <?php
                    if(isset($settings['update_frequency_unit'])){
                        echo $settings['update_frequency_unit'];
                    }else{
                        esc_html_e( 'Minutes', Auto_Movie::DOMAIN );
                    }
                    ?>
                </button>
                <ul tabindex="-1" role="listbox" class="list-results tmdb-sidenav-hide-md" >
                    <li><?php esc_html_e( 'Minutes', Auto_Movie::DOMAIN ); ?></li>
                    <li><?php esc_html_e( 'Hours', Auto_Movie::DOMAIN ); ?></li>
                    <li><?php esc_html_e( 'Days', Auto_Movie::DOMAIN ); ?></li>
                </ul>
            </div>
        </div>


    </div>

</div>
