<div class="tmdb-box-settings-row">

    <div class="tmdb-box-settings-col-1">
        <span class="tmdb-settings-label"><?php esc_html_e( 'Movie Source', Auto_Movie::DOMAIN ); ?></span>
        <span class="tmdb-description"><?php esc_html_e( 'You can select get data from specify tmdb user or some keywords.', Auto_Movie::DOMAIN ); ?></span>
    </div>

    <div class="tmdb-box-settings-col-2">
                <div class="tmdb-form-field">
                    <label for="tmdb_search" id="tmdb-feed-link" class="tmdb-label"><?php esc_html_e( 'search keyword', Auto_Movie::DOMAIN ); ?></label>
                    <input
                        type="text"
                        name="tmdb_search"
                        placeholder="<?php esc_html_e( 'Enter your search keyword here', Auto_Movie::DOMAIN ); ?>"
                        value=""
                        id="tmdb-search"
                        class="tmdb-form-control"
                        aria-labelledby="tmdb_search"
                    />
                </div>

                <div class="tmdb-search-results-wrapper">
                    <ul class="search-result-list">
                        <script type="text/template" id="tmpl-tmdb-search-results">
                            <# if ( data.length ) { #>
                                <# for ( key in data ) { #>
                                    <li>
                                        <a href="#">
                                            <span class="tmdb-keyword-selected" data-keyword="{{{ data[ key ] }}}" >{{{ data[ key ] }}}</span>
                                        </a>
                                    </li>
                                    <# } #>
                                        <# } else { #>
                                            <p class="no-source">
                                                <?php esc_html_e( 'No source.', 'auto-tmdb' ); ?>
                                            </p>
                                            <# } #>
                        </script>
                    </ul>
                </div>

                <div class="tmdb-form-field">
                    <label for="tmdb_selected_keywords" id="tmdb-feed-link" class="tmdb-label"><?php esc_html_e( 'Selected Keywords', Auto_Movie::DOMAIN ); ?></label>
                    <textarea class="tmdb-form-control" id="tmdb-selected-keywords" rows="5" cols="20" name="tmdb_selected_keywords" required="required"><?php if(isset($settings['tmdb_selected_keywords'])){echo $settings['tmdb_selected_keywords'];}?></textarea>
                </div>
    </div>

</div>
