<?php
$authors = get_users();
?>
<div id="post" class="tmdb-box-tab" data-nav="post" >

    <div class="tmdb-box-header">
        <h2 class="tmdb-box-title"><?php esc_html_e( 'Post Status, Type & Author', Auto_Movie::DOMAIN ); ?></h2>
    </div>


    <div class="tmdb-box-body">
        <div class="tmdb-box-settings-row">
            <div class="tmdb-box-settings-col-1">
                <span class="tmdb-settings-label"><?php esc_html_e( 'Post Status', Auto_Movie::DOMAIN ); ?></span>
            </div>
            <div class="tmdb-box-settings-col-2">
                <div class="post-select-container">
                    <span class="post-dropdown-handle" aria-hidden="true">
                        <ion-icon name="chevron-down" class="tmdb-icon-down"></ion-icon>
                    </span>
                    <div class="post-select-list-container">
                        <button type="button" class="post-list-value" id="tmdb-post-status" value="publish">
                            <?php
                            if(isset($settings['tmdb_post_status'])){
                                echo $settings['tmdb_post_status'];
                            }else{
                                esc_html_e( 'publish', Auto_Movie::DOMAIN );
                            }
                            ?>
                        </button>
                        <ul tabindex="-1" role="listbox" class="post-list-results tmdb-sidenav-hide-md" >
                            <li><?php esc_html_e( 'publish', Auto_Movie::DOMAIN ); ?></li>
                            <li><?php esc_html_e( 'draft', Auto_Movie::DOMAIN ); ?></li>
                            <li><?php esc_html_e( 'private', Auto_Movie::DOMAIN ); ?></li>
                            <li><?php esc_html_e( 'pending', Auto_Movie::DOMAIN ); ?></li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
        <div class="tmdb-box-settings-row">
            <div class="tmdb-box-settings-col-1">
                <span class="tmdb-settings-label"><?php esc_html_e( 'Post Type', Auto_Movie::DOMAIN ); ?></span>
            </div>
            <div class="tmdb-box-settings-col-2">
                <div class="type-select-container">
                    <span class="type-dropdown-handle" aria-hidden="true">
                        <ion-icon name="chevron-down" class="tmdb-icon-down"></ion-icon>
                    </span>
                    <div class="type-select-list-container">
                        <button type="button" class="type-list-value" id="tmdb-post-type" value="post">
                            <?php
                            if(isset($settings['tmdb_post_type'])){
                                echo $settings['tmdb_post_type'];
                            }else{
                                esc_html_e( 'post', Auto_Movie::DOMAIN );
                            }
                            ?>
                        </button>
                        <ul tabindex="-1" role="listbox" class="type-list-results tmdb-sidenav-hide-md" >
                            <li><?php esc_html_e( 'post', Auto_Movie::DOMAIN ); ?></li>
                            <li><?php esc_html_e( 'page', Auto_Movie::DOMAIN ); ?></li>
                            <li><?php esc_html_e( 'attachment', Auto_Movie::DOMAIN ); ?></li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
        <div class="tmdb-box-settings-row">
            <div class="tmdb-box-settings-col-1">
                <span class="tmdb-settings-label"><?php esc_html_e( 'Post Author', Auto_Movie::DOMAIN ); ?></span>
            </div>
            <div class="tmdb-box-settings-col-2">
                <div class="author-select-container">
                    <span class="author-dropdown-handle" aria-hidden="true">
                        <ion-icon name="chevron-down" class="tmdb-icon-down"></ion-icon>
                    </span>
                    <div class="author-select-list-container">
                        <button type="button" class="author-list-value" id="tmdb-post-author" value="<?php esc_html_e( $authors[0]->data->user_login ); ?>">
                            <?php
                            if(isset($settings['tmdb_post_author'])){
                                echo $settings['tmdb_post_author'];
                            }else{
                                esc_html_e( $authors[0]->data->user_login );
                            }
                            ?>
                        </button>
                        <ul class="author-list-results tmdb-sidenav-hide-md" >
                            <?php foreach ( $authors as $key => $value ) : ?>
                                <li><?php esc_html_e( $value->data->user_login ); ?></li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
    </div>


</div>


