<?php
$status = isset( $settings['status'] ) ? sanitize_text_field( $settings['status'] ) : 'draft';
?>
<div id="auto-tmdb-builder-status" class="tmdb-box tmdb-box-sticky">
    <div class="tmdb-box-status">
        <div class="tmdb-status">
            <div class="tmdb-status-module">
                <?php esc_html_e( 'Status', Auto_Movie::DOMAIN ); ?>
                    <?php
                    if( $status === 'draft'){
                        ?>
                    <span class="tmdb-tag tmdb-tag-draft">
                        <?php esc_html_e( 'draft', Auto_Movie::DOMAIN ); ?>
                    </span>
                    <?php
                    }else if($status === 'publish'){
                        ?>
                    <span class="tmdb-tag tmdb-tag-published">
                       <?php esc_html_e( 'published', Auto_Movie::DOMAIN ); ?>
                    </span>
                    <?php
                    }
                    ?>
            </div>
            <div class="tmdb-status-changes">

            </div>
        </div>
        <div class="tmdb-actions">
            <button id="tmdb-campaign-save" class="tmdb-button" type="button">
                <span class="tmdb-loading-text">
                    <ion-icon name="reload-circle"></ion-icon>
                    <span class="button-text campaign-save-text">
                        <?php
                        if($status === 'publish'){
                            echo esc_html( 'unpublish', Auto_Movie::DOMAIN );
                        }else{
                            echo esc_html( 'save draft', Auto_Movie::DOMAIN );
                        }
                        ?>
                    </span>
                </span>
            </button>
            <button id="tmdb-campaign-publish" class="tmdb-button tmdb-button-blue" type="button">
                <span class="tmdb-loading-text">
                    <ion-icon name="save"></ion-icon>
                    <span class="button-text campaign-publish-text">
                        <?php
                        if($status === 'publish'){
                            echo esc_html( 'update', Auto_Movie::DOMAIN );
                        }else{
                            echo esc_html( 'publish', Auto_Movie::DOMAIN );
                        }
                        ?>
                    </span>
                </span>
            </button>
        </div>
    </div>
</div>
