<div id="test-popup" class="white-popup mfp-with-anim mfp-hide">

			<div class="step-1">
				<div class="tmdb-box-header tmdb-block-content-center">
					<h3 class="tmdb-box-title type-title"><?php esc_html_e( 'Choose a type', Auto_Movie::DOMAIN ); ?></h3>
				</div>

                <div class="tmdb-box-body tmdb-block-content-center">

                    <p class="tmdb-description">
                        <?php esc_html_e( 'Select your campaign source data type.', Auto_Movie::DOMAIN ); ?>
                    </p>

                </div>

				<div class="tmdb-box-selectors tmdb-box-selectors-col-2">
					<ul class="type-list">
						<li>
							<label for="tmdb-type-rss" class="tmdb-box-selector">
								<input type="radio" name="tmdb-selected-type" id="tmdb-type-rss" class="tmdb-type" value="rss" checked="checked">
								<span>
									<ion-icon name="logo-rss" class="tmdb-icon"></ion-icon>
									<?php esc_html_e( 'Feed', Auto_Movie::DOMAIN ); ?>
								</span>
							</label>
						</li>
						<li>
							<label for="tmdb-type-social" class="tmdb-box-selector">
								<input type="radio" name="tmdb-selected-type" id="tmdb-type-social" class="tmdb-type" value="social">
								<span>
									<ion-icon name="share-social" class="tmdb-icon"></ion-icon>
									<?php esc_html_e( 'Social Media', Auto_Movie::DOMAIN ); ?>
								</span>
							</label>
						</li>
						<li>
							<label for="tmdb-type-video" class="tmdb-box-selector">
								<input type="radio" name="tmdb-selected-type" id="tmdb-type-video" class="tmdb-type" value="video">
								<span>
									<ion-icon name="videocam" class="tmdb-icon"></ion-icon>
									<?php esc_html_e( 'Video', Auto_Movie::DOMAIN ); ?>
								</span>
							</label>
						</li>
						<li>
							<label for="tmdb-type-sound" class="tmdb-box-selector">
								<input type="radio" name="tmdb-selected-type" id="tmdb-type-sound" class="tmdb-type" value="sound">
								<span>
									<ion-icon name="musical-notes" class="tmdb-icon"></ion-icon>
									<?php esc_html_e( 'Sound', Auto_Movie::DOMAIN ); ?>
								</span>
							</label>
						</li>
					</ul>
				</div>

				<div class="tmdb-box-footer">
					<div class="tmdb-actions-right">

						<button class="tmdb-button auto-tmdb-select-type">
							<span class="tmdb-loading-text"><?php esc_html_e( 'Continue', Auto_Movie::DOMAIN ); ?></span>
							<i class="tmdb-icon-load tmdb-loading" aria-hidden="true"></i>
						</button>

					</div>
				</div>
			</div>

			<div class="step-2">
				<div class="tmdb-box-header tmdb-block-content-center">

					<h3 class="tmdb-box-title source-title"><?php esc_html_e( 'Choose a source', Auto_Movie::DOMAIN ); ?></h3>

				</div>

				<div class="tmdb-box-selectors tmdb-box-selectors-col-2">
					<ul class="source-list">
						<script type="text/template" id="tmpl-tmdb-source-list">
							<# if ( data.length ) { #>
								<# for ( key in data ) { #>
									<li>
										<label for="tmdb-selected-source" class="tmdb-box-selector">
											<input type="radio"  name="tmdb-selected-source" value="{{{ data[ key ].value }}}">
											<span class="tmdb-source" data-source="{{{ data[ key ].value }}}">
												<ion-icon name="{{{ data[ key ].icon }}}" class="tmdb-icon"></ion-icon>
													{{{ data[ key ].value }}}
											</span>
										</label>
									</li>
									<# } #>
										<# } else { #>
											<p class="no-source">
												<?php esc_html_e( 'No source.', 'auto-tmdb' ); ?>
											</p>
											<# } #>
						</script>
					</ul>
				</div>

				<div class="tmdb-box-footer">

					<div class="tmdb-actions-left">

						<button class="tmdb-button auto-tmdb-select-previous">
							<span class="tmdb-loading-text"><?php esc_html_e( 'Previous', Auto_Movie::DOMAIN ); ?></span>
							<i class="tmdb-icon-load tmdb-loading" aria-hidden="true"></i>
						</button>

					</div>

					<div class="tmdb-actions-right">

						<button class="tmdb-button tmdb-go-wizard">
							<span class="tmdb-loading-text"><?php esc_html_e( 'Continue', Auto_Movie::DOMAIN ); ?></span>
							<i class="tmdb-icon-load tmdb-loading" aria-hidden="true"></i>
						</button>

					</div>

				</div>
			</div>

			<img src="<?php echo esc_url(AUTO_MOVIE_URL.'/assets/images/tmdb.png'); ?>" class="tmdb-image tmdb-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Movie', Auto_Movie::DOMAIN ); ?>">
</div>

