<div class="tmdb-box" role="document">

    <div class="tmdb-box-header tmdb-block-content-center">

        <div class="tmdb-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_MOVIE_URL.'/assets/images/soundcloud.png'); ?>" alt="<?php esc_attr_e( 'Twitter API', Auto_Movie::DOMAIN ); ?>">

        </div>

        <div class="tmdb-box-content integration-header">

            <h3 class="tmdb-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Twitter API', Auto_Movie::DOMAIN ); ?></h3>

			<span class="tmdb-description">
                <?php esc_html_e( 'Setup Twitter API to be used by Auto Movie to display tweets on your blog.', Auto_Movie::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="tmdb-box-body">
        <form>

            <div class="tmdb-form-field">
                <label class="tmdb-label"><?php esc_html_e( 'Client ID', Auto_Movie::DOMAIN ); ?></label>
                <div class="tmdb-control-with-icon">
                    <ion-icon class="tmdb-icon-person" name="person"></ion-icon>
                    <input name="client_id" placeholder="<?php esc_html_e( 'Client ID', Auto_Movie::DOMAIN ); ?>" value="" class="tmdb-form-control">
                </div>
            </div>

            <div class="tmdb-form-field">
                <label class="tmdb-label"><?php esc_html_e( 'Client Secret', Auto_Movie::DOMAIN ); ?></label>
                <div class="tmdb-control-with-icon">
                    <ion-icon class="tmdb-icon-key" name="key"></ion-icon>
                    <input name="client_secret" placeholder="<?php esc_html_e( 'Client Secret', Auto_Movie::DOMAIN ); ?>" value="" class="tmdb-form-control">
                </div>
            </div>

            <div class="tmdb-border-frame tmdb-description">

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Movie::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="tmdb-box-footer tmdb-box-footer-center">
        <button type="button" class="tmdb-button tmdb-addon-connect">
            <span class="tmdb-loading-text"><?php esc_html_e( 'Connect', Auto_Movie::DOMAIN ); ?></span>
        </button>
    </div>

</div>